[Cubicweb] pip installation requires psycopg2

Yann Cointepas yann at cointepas.net
Wed Aug 28 15:48:48 CEST 2013


Hi,

I tried to use cubicweb with virtualenv and "pip install cubicweb" but
running "cubicweb-ctl my-cube" produce the following error :

ImportError: Unable to import a postgres module

This error is fixed by running "pip install psycopg2" therefore I wonder if
there should be a dependency between cubicweb and psycopg2.

Regards,

      Yann
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.cubicweb.org/pipermail/cubicweb/attachments/20130828/1d0b9509/attachment-0164.html>


More information about the Cubicweb mailing list